Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBLocalPrivileges

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBLocalPrivileges

All Implemented Interfaces:
  CreateListener, DeleteListener, EventListener

public final class DBLocalPrivileges
extends DBBase
implements DeleteListener, CreateListener

Inner Class Summary
`class` | `DBLocalPrivileges.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBLocalPrivileges.Row` | `create(DBApplication.Row application, DBPrivilege.Row privilege, DBLocalPrivileges.Row parent, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project, Date aquisitionDate, int delegationLimit, int delegationCount, int delegationDepth)`
`DBLocalPrivileges.Row` | `create(DBExportDelegation export)` Adds or updates a privilege; notifies users.
`DBLocalPrivileges.Row` | `create(DBLocalPrivileges.Row parent, DBExportDelegation export)`
`void` | `createEvent(CreateEvent createEvent)` Add remote privileges to a new user.
`DBRow` | `createObj(ResultSet rs)`
`DBLocalPrivileges.Row` | `createSimple(DBLocalPrivileges.Row parent, DBExportDelegation export)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`DBLocalPrivileges.Row` | `get(DBApplication.Row application, DBPrivilege.Row privilege, DBLocalPrivileges.Row parent, DBUser.Row grantor, DBUser.Row delegee, DBProject.Row project)`
`DBLocalPrivileges.Row` | `get(DBExportDelegation export)`
`DBLocalPrivileges.Row` | `get(DBLocalPrivileges.Row parent, DBExportDelegation export)`
`DBLocalPrivileges.Row` | `get(int localPrivilegeId)`
`List` | `getAllDelegeePrivileges(DBUser.Row delegee)`
`List` | `getDelegeePrivileges(DBUser.Row delegee)`
`DBLocalPrivileges.Row` | `getParent(DBExportDelegation export)` Returns a parent with sufficient limit and depth, or null.
`boolean` | `hasPrivilege(DBUser.Row delegee, DBApplication.Row application, DBPrivilege.Row privilege)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`void` | `sendUserUpdate(DBUser.Row user, DBLocalPrivileges.Row p)`
`String` | `tableName()`
`boolean` | `valid(DBLocalPrivileges.Row parent, DBExportDelegation export)`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### createEvent

    public void createEvent(CreateEvent createEvent)
                     throws Exception

  Add remote privileges to a new user.
  Specified by:
    `createEvent` in interface `CreateListener`

### create

    public DBLocalPrivileges.Row create(DBExportDelegation export)
                                 throws Exception

  Adds or updates a privilege; notifies users.

### valid

    public boolean valid(DBLocalPrivileges.Row parent,
                         DBExportDelegation export)
                  throws Exception

### createSimple

    public DBLocalPrivileges.Row createSimple(DBLocalPrivileges.Row parent,
                                              DBExportDelegation export)
                                       throws Exception

### create

    public DBLocalPrivileges.Row create(DBLocalPrivileges.Row parent,
                                        DBExportDelegation export)
                                 throws Exception

### create

    public DBLocalPrivileges.Row create(DBApplication.Row application,
                                        DBPrivilege.Row privilege,
                                        DBLocalPrivileges.Row parent,
                                        DBUser.Row grantor,
                                        DBUser.Row delegee,
                                        DBProject.Row project,
                                        Date aquisitionDate,
                                        int delegationLimit,
                                        int delegationCount,
                                        int delegationDepth)
                                 throws Exception

### hasPrivilege

    public boolean hasPrivilege(DBUser.Row delegee,
                                DBApplication.Row application,
                                DBPrivilege.Row privilege)
                         throws Exception

### get

    public DBLocalPrivileges.Row get(int localPrivilegeId)
                              throws Exception

### get

    public DBLocalPrivileges.Row get(DBApplication.Row application,
                                     DBPrivilege.Row privilege,
                                     DBLocalPrivileges.Row parent,
                                     DBUser.Row grantor,
                                     DBUser.Row delegee,
                                     DBProject.Row project)
                              throws Exception

### get

    public DBLocalPrivileges.Row get(DBLocalPrivileges.Row parent,
                                     DBExportDelegation export)
                              throws Exception

### get

    public DBLocalPrivileges.Row get(DBExportDelegation export)
                              throws Exception

### getParent

    public DBLocalPrivileges.Row getParent(DBExportDelegation export)
                                    throws Exception

  Returns a parent with sufficient limit and depth, or null.

### getDelegeePrivileges

    public List getDelegeePrivileges(DBUser.Row delegee)
                              throws Exception

### getAllDelegeePrivileges

    public List getAllDelegeePrivileges(DBUser.Row delegee)
                                 throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### sendUserUpdate

    public void sendUserUpdate(DBUser.Row user,
                               DBLocalPrivileges.Row p)
                        throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD